# Django and REST framework
Django==5.1.2
djangorestframework==3.15.2
django-cors-headers==4.5.0

# Authentication
django-allauth==65.1.0
django-oauth-toolkit==3.0.1
dj-rest-auth==6.0.0  # Added for REST authentication endpoints
pyjwt==2.9.0


# Database
psycopg2-binary==2.9.10
dj-database-url==2.3.0

# Email
requests==2.32.3  # For ForwardEmail.net API

# Frontend
django-webpack-loader==3.1.1

# Utils
python-dotenv==1.0.1
Pillow==11.0.0  # For image handling
django-cleanup==9.0.0  # Automatically delete files
django-filter==24.3
django-htmx==1.20.0
whitenoise==6.7.0  # Static file serving
pycountry==24.6.1

# Development
black==24.10.0
flake8==7.1.1
pytest==8.3.3
pytest-django==4.9.0

# WebSocket Support
channels==4.0.0
channels-redis==4.2.0
daphne==4.1.0

# React and Material UI will be handled via npm in the frontend directory
django-simple-history==3.7.0
django-tailwind-cli==2.18.1
